\newpage

\subsection{Service 9: Time Management}

\begin{description}
	\item[Objective]\hfill\\
	
	Reports of this service are time reports used by the ground station to perform a correlation between the spacecraft time and the used time reference on-ground. This correlation is used to accurately reconstitute the on-board time of other information from the spacecraft or to accurately set the time for the time-based scheduling (Service 11).\\
	\newline
	The \textbf{APID} of the process which hosts the \textit{Time Management} has to be set to \textbf{zero}!
	
	\item[Service Summary]\hfill\\
	
	\begin{table}[h]
		\centering
		\begin{tabular}{p{0.1\textwidth}p{0.2\textwidth}p{0.6\textwidth}}
			\toprule
			\textbf{TM/TC} & \textbf{Service-Type, Service Subtype} & \textbf{Description}\\
			\midrule
			\rowcolor{TcHeader!20}TC & 9,1 & Set the time report generation rate\\
			\rowcolor{TmHeader!20}TM & 9,3 & CDS time report\\
			\bottomrule
		\end{tabular}
		\caption{Service 9 Summary}
	\end{table}
	
\end{description}


% ------------------------------------------------------------------------------
% TC 9,1
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{9,1} & \textbf{Set the time report generation rate}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TC changes the rate used for the report generation of time reports.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & 0 \\
		&\\
		Service Type & 9 \\
		
		Service Subtype & 1 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|c|}
			\hline
			\rowcolor{TcHeader}
			Rate Exponential Value\\
			\hline
			\hline
			\rowcolor{TcBody}
			Unsigned Integer\\
			\hline
			\rowcolor{TcBody}
			8 Bit\\
			\hline
		\end{tabular}\\\vspace{10pt}
		Application Data TC(9,1)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{Rate Exponential Value}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The exponential value representation of the rate used for the report generation where\newline $time\ report\ generation\ rate = 2^{rate\ exponential\ value}$\newline The maximum value is 8. Every $2^{rev}$th telemetry frame causes the generation of a time report.\\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\item[Remarks:]\hfill\\
	\newline
	If any other value than the ones specified above are used in the corresponding field the application data field becomes invalid.	
	
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TM 9,3
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TM} & \textbf{9,3} & \textbf{CDS time report}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TM reports the current time of the spacecraft. It is generated periodically.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & 0 \\
		&\\
		Service Type & 9 \\
		
		Service Subtype & 3 \\
		&\\
		Source Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.23\textwidth}|p{0.23\textwidth}|p{0.23\textwidth}|}
			\hline
			\rowcolor{TmHeader!85}
			Rate Exponential\newline Value & Spacecraft Time & Spacecraft Time\newline Reference Status\\
			\hline
			\hline
			\rowcolor{TmBody}
			Unsigned Integer & Absolute Time & Enumerated \\
			\hline
			\rowcolor{TmBody}
			8 Bit & 64 Bit & 8 Bit\\
			\hline
		\end{tabular}\\\vspace{10pt}
		Source Data TM(9,3)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=3 &PFC=4 \end{tabular} & The exponential value representation of the rate used for the report generation where\newline $time\ report\ generation\ rate = 2^{rate\ exponential\ value}$\newline The maximum value is 8. Every $2^{rev}$th telemetry transfer frame causes the generation of a time report. \\
		& \\
		\textbf{Spacecraft Time}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=9 &PFC=2 \end{tabular} & The time of the spacecraft.\\
		& \\
		\textbf{Spacecraft Time\newline Reference Status}\newline \begin{tabular}{p{1.2cm}p{1cm}} PTC=2 &PFC=8 \end{tabular} & This paramter reports the current status of the satellite's main clock, i.e. the \textit{Spacecraft Time Reference}. The total size of this field is 8 bits: The lower 4 bits match the value of the parameter of the same name in \textit{TM Packet Secondary Header}, while the upper 4 bits are intended to give more specifc status codes if required. \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\item[Remarks:]\hfill\\
	\newline
	The exact values of \textit{Spacecraft Time Reference Status} are listed in the corresponing ICD or the SUM.		
	
\end{description}

\vfill

